Skip to main content

Undelete Review Resource

API Description

Undelete a review resource that's still available. Supply the unique Apple-generated review ID and the service will attempt to return the corresponding resource with updated resource state and etag values.

note

A validation report is not included in the response body. All validations are executed asynchronously.

Request

URI Parameters

NameInput
orgId
REQUIRED
locationId
REQUIRED
reviewId
REQUIRED
Path Template
POST {url}/api/{version}/orgs/{orgId}/locations/{locationId}/reviews/{reviewId}/undelete
Path Example
POST {url}/api/v1/orgs/9467895078742654934/locations/9467895078742654976/reviews/9467895078742654975/undelete

Request Headers

NameInput
Authorization
REQUIRED
Content-Type
REQUIRED
If-Match
REQUIRED
Example Request Headers
Authorization: Bearer <access_token>
Content-Type: application/json
If-Match: "c7960718-a3e5-11ed-a8fc-0242ac120002"

Request Body

None

Response

200 OK or Error

Response Headers

Name
apple-request-id
content-type
etag
location
Example Response Headers
HTTP/1.1 200 OK
apple-request-id: 42634f00-a1c7-428c-a7be-ff66dfc6b0af
content-type: application/json
etag: "b9b73168-fef7-11ed-be56-0242ac120002"
location: /api/v1/orgs/9467895078742654934/locations/9467895078742654976/reviews/9467895078742654975

Response Body

Refer to create operation's response body for property descriptions.

Example Response Body (raw JSON)
{
"orgId": "9467895078742654934",
"locationId": "9467895078742654976",
"id": "9467895078742654975",
"createdDate": "2026-10-02T11:41:00Z",
"updatedDate": "2026-11-30T13:21:00Z",
"state": "SUBMITTED",
"etag": "b9b73168-fef7-11ed-be56-0242ac120002",
"reviewDetails": {
"partnersReviewId": "857127252",
"dateAdded": "2026-09-01T20:06:00Z",
"type": "USER",
"review": {
"author": {
"givenName": "Robert",
"lastInitial": "S.",
"imageUrl": "http://goodpartner.com/media/images/author_profile_pic/user_id=43767642526I/default-avatar.jpg"
},
"name": "Excellent Location",
"reviewBody": "Warm, friendly and entirely accommodating to all our needs.",
"locale": "en",
"starRatings": [
{
"category": "OVERALL",
"ratingValue": 4,
"bestRating": 5
}
],
"interactionStatistics": [
{
"interactionType": "HELPFUL",
"userInteractionCount": 25
}
]
}
}
}